| Home | Libraries | People | FAQ | More

## BoostBook element `namespace`

namespace — Declares a namespace

## Synopsis

namespace ::= (class| class-specialization| struct| struct-specialization| union| union-specialization| typedef| enum| free-function-group| function| overloaded-function| namespace)*

## Description

BoostBook namespaces are declared via the <namespace> element. As in C++, namespaces can be nested and contain other C++ constructs, such as classes or functions. The `name` attribute of a <namespace> element gives the namespace name (e.g., "boost"). The Any library is defined entirely within namespace boost by:

    <library-reference>
      <header name="boost/any.hpp">
        <namespace name="boost">
          <!-- C++ constructs in the boost namespace -->
        </namespace>
      </header>
    </library-reference>

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2004/01/15 16:08:59 $ to keep "last revised" information in sync with CVS changes
name | #REQUIRED | CDATA | The name of the element being declared to referenced
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes

Last revised: , at GMT | Copyright © 2003 Douglas Gregor

BoostBook element constructor |  | BoostBook element if-fails